# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Unicode
%define	pnam	MapUTF8
Summary:	Unicode::MapUTF8 - Conversions to and from arbitrary character sets and UTF8
Summary(pl):	Unicode::MapUTF8 - konwersje midzy dowolnym zestawem znakw a UTF8
Name:		perl-Unicode-MapUTF8
Version:	1.09
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Jcode
BuildRequires:	perl-Unicode-Map
BuildRequires:	perl-Unicode-Map8
BuildRequires:	perl-Unicode-String
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::MapUTF8 provides an adapter layer between core routines for
converting to and from UTF8 and other encodings.  In essence, a way to
give multiple existing Unicode modules a single common interface so
you don't have to know the underlaying implementations to do simple
UTF8 to-from other character set encoding conversions.  As such, it
wraps the Unicode::String, Unicode::Map8, Unicode::Map and Jcode
modules in a standardized and simple API.

%description -l pl
Unicode::MapUTF8 udostpnia warstw poredni pomidzy wewntrznymi
funkcjami do konwersji pomidzy UTF8 a innymi kodowaniami. W
szczeglnoci jest sposobem na udostpnienie wielu istniejcym moduom
Unicode wsplnego interfejsu, dziki czemu nie trzeba zna
implementacji kadego moduu do zastosowania prostej konwersji z/do
UTF8. Unicode::MapUTF8 opakowuje moduy Unicode::String,
Unicode::Map8, Unicode::Map i Jcode w ustandaryzowane i proste API.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Unicode-MapUTF8.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:59:20  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:07  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.1  2002/09/08 21:50:23  radek
- new
